# Class TNamespace

java.lang.Object
com.databricks.jdbc.model.client.thrift.generated.TNamespace

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TNamespace>`, `org.apache.thrift.TBase<TNamespace,TNamespace._Fields>`, `org.apache.thrift.TSerializable`

@Generated(value="Autogenerated by Thrift Compiler (0.19.0)", date="2025-05-08") public class TNamespace extends Object implements org.apache.thrift.TBase<TNamespace,TNamespace._Fields>, Serializable, Cloneable, Comparable<TNamespace>

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`TNamespace._Fields`
The set of fields this struct contains, along with convenience methods for finding and manipulating them.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`catalogName`
`static final Map<TNamespace._Fields,org.apache.thrift.meta_data.FieldMetaData>`
`metaDataMap`
`String`
`schemaName`

## Constructor Summary

Constructors
Constructor
Description
`TNamespace()`
`TNamespace(TNamespace other)`
Performs a deep copy on other.

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`int`
`compareTo(TNamespace other)`
`TNamespace`
`deepCopy()`
`boolean`
`equals(TNamespace that)`
`boolean`
`equals(Object that)`
`TNamespace._Fields`
`fieldForId(int fieldId)`
`String`
`getCatalogName()`
`Object`
`getFieldValue(TNamespace._Fields field)`
`String`
`getSchemaName()`
`int`
`hashCode()`
`boolean`
`isSet(TNamespace._Fields field)`
Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean`
`isSetCatalogName()`
Returns true if field catalogName is set (has been assigned a value) and false otherwise
`boolean`
`isSetSchemaName()`
Returns true if field schemaName is set (has been assigned a value) and false otherwise
`void`
`read(org.apache.thrift.protocol.TProtocol iprot)`
`TNamespace`
`setCatalogName(String catalogName)`
`void`
`setCatalogNameIsSet(boolean value)`
`void`
`setFieldValue(TNamespace._Fields field, Object value)`
`TNamespace`
`setSchemaName(String schemaName)`
`void`
`setSchemaNameIsSet(boolean value)`
`String`
`toString()`
`void`
`unsetCatalogName()`
`void`
`unsetSchemaName()`
`void`
`validate()`
`void`
`write(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### catalogName

public String catalogName

### schemaName

public String schemaName

### metaDataMap

public static final Map<TNamespace._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

## Constructor Details

### TNamespace

public TNamespace()

### TNamespace

public TNamespace(TNamespace other)
Performs a deep copy on other.

## Method Details

### deepCopy

public TNamespace deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TNamespace,TNamespace._Fields>`

### clear

public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TNamespace,TNamespace._Fields>`

### getCatalogName

public String getCatalogName()

### setCatalogName

public TNamespace setCatalogName(String catalogName)

### unsetCatalogName

public void unsetCatalogName()

### isSetCatalogName

public boolean isSetCatalogName()
Returns true if field catalogName is set (has been assigned a value) and false otherwise

### setCatalogNameIsSet

public void setCatalogNameIsSet(boolean value)

### getSchemaName

public String getSchemaName()

### setSchemaName

public TNamespace setSchemaName(String schemaName)

### unsetSchemaName

public void unsetSchemaName()

### isSetSchemaName

public boolean isSetSchemaName()
Returns true if field schemaName is set (has been assigned a value) and false otherwise

### setSchemaNameIsSet

public void setSchemaNameIsSet(boolean value)

### setFieldValue

public void setFieldValue(TNamespace._Fields field, Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TNamespace,TNamespace._Fields>`

### getFieldValue

public Object getFieldValue(TNamespace._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TNamespace,TNamespace._Fields>`

### isSet

public boolean isSet(TNamespace._Fields field)
Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TNamespace,TNamespace._Fields>`

### equals

public boolean equals(Object that)

Overrides:
  `equals` in class `Object`

### equals

public boolean equals(TNamespace that)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### compareTo

public int compareTo(TNamespace other)

Specified by:
  `compareTo` in interface `Comparable<TNamespace>`

### fieldForId

public TNamespace._Fields fieldForId(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TNamespace,TNamespace._Fields>`

### read

public void read(org.apache.thrift.protocol.TProtocol iprot) throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

### write

public void write(org.apache.thrift.protocol.TProtocol oprot) throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### validate

public void validate() throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`